
Redmine - Defect #19030

Links to completed versions on the roadmap page might lead to a "403 not authorized page"

2015-02-04 17:25 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.0.0   

Resolution: Fixed Affected version: 2.6.1

Description

On the roadmap page without showing the completed versions, all completed versions in the "Completed versions" foldout are linked

to the version's page. The current user might not have the permission to view that version though (in the case of shared version),

leading the user to a 403 page.

Associated revisions

Revision 13988 - 2015-02-08 16:06 - Jean-Philippe Lang

Links to completed versions on the roadmap page might lead to a "403 not authorized page" (#19030).

Patch by Felix Schäfer.

History

#1 - 2015-02-04 17:30 - Felix Schäfer

- File 19030.patch added

The attached patch solves this the same way as in the <h3> tag on the same page (line 13 on current trunk).

#2 - 2015-02-08 16:06 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.0

- Resolution set to Fixed

Committed in r13988, thanks.

Files

19030.patch 773 Bytes 2015-02-04 Felix Schäfer
